# build against qt4 by default, use 'without' to build against qt5
%bcond_with qt5

Name:           charm
Version:        1.8.0
Release:        2%{?dist}
Summary:        Time tracking program

Group:          Applications/Productivity
License:        GPLv2+
URL:            https://github.com/KDAB/Charm/tree/master/Charm
Source0:        https://github.com/KDAB/Charm/archive/%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%if %{with qt5}
#BuildRequires:  qt5-qtbase-devel
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Sql)
BuildRequires:  pkgconfig(Qt5Test)
# optional
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5DBus)
%else
#BuildRequires:  qt-devel
BuildRequires:  pkgconfig(Qt)
#BuildRequires:  pkgconfig(QtMain)
BuildRequires:  pkgconfig(QtCore)
BuildRequires:  pkgconfig(QtGui)
BuildRequires:  pkgconfig(QtSql)
BuildRequires:  pkgconfig(QtXml)
BuildRequires:  pkgconfig(QtNetwork)
# optional
BuildRequires:  pkgconfig(QtDBus)
%endif

BuildRequires:  cmake >= 2.6.0
BuildRequires:  desktop-file-utils
Provides:       Charm = %{version}-%{release}
Obsoletes:      Charm <= 1.5.0-0.2.20110415gitfbf24e6

%description
Whether you are a busy professional and you need to keep track of the time you 
spend on your projects, or you are a student who wants to know why you always 
have to rush right before the exam – knowing how time is spent is commonly 
known to be a good idea. Charm is a program for Mac Os X, Linux and Windows 
that helps to keep track of time. It is built around two major ideas – tasks, 
and events. Tasks are the things time is spend on, repeatedly. For example, 
ironing laundry is a task. The laundry done for two hours on last Tuesday is an 
event in that task. When doing laundry multiple times, the events will be 
accumulated, and can later be printed in activity reports or weekly time 
sheets. So in case laundry would be done for three hours on Wednesday again, 
the activity report for the “Ironing Laundry” task would list the event on 
tuesday, the event on wednesday and a total of five hours. 

%prep
%setup -qn Charm-%{version}


%build
%cmake -DCharm_VERSION=%{version} -DCHARM_TIMESHEET_TOOLS=ON .
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
desktop-file-install \
    --remove-category="TimeUtility" \
    --delete-original \
    --dir=%{buildroot}%{_datadir}/applications \
    %{buildroot}/%{_datadir}/applications/charmtimetracker.desktop

# install additional autostart file
mkdir -p %{buildroot}%{_sysconfdir}/xdg/autostart
desktop-file-install \
    --dir=%{buildroot}%{_sysconfdir}/xdg/autostart \
    %{buildroot}/%{_datadir}/applications/charmtimetracker.desktop

# remove duplicate docs
rm -rf %{buildroot}/%{_datadir}/doc


%check
cd Tests
make %{?_smp_mflags}


%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%defattr(-,root,root,-)
%doc License.txt ReadMe.txt
%{_bindir}/charmtimetracker
%{_bindir}/TimesheetGenerator
%{_bindir}/TimesheetProcessor
%{_datadir}/applications/charmtimetracker.desktop
%{_sysconfdir}/xdg/autostart/charmtimetracker.desktop
%{_datadir}/icons/hicolor/*/*/*.png

%changelog
* Mon Jun 23 2014 Christoph Wickert <cwickert@fedoraproject.org> - 1.8.0-2
- Build against qt4 by default

* Wed Jun 18 2014 Christoph Wickert <cwickert@fedoraproject.org> - 1.8.0-1
- Update to 1.8.0
- Rename package to charm (lowercase, instead of Charm)

* Tue Jan 05 2010 Christoph Wickert <cwickert@fedoraproject.org> - 1.5.0-0.1.20110415gitfbf24e6
- Initial packaging
